Last Comment Bug 515679 - crash closing webmail.aol.com tab without crash reporter coming up
: crash closing webmail.aol.com tab without crash reporter coming up
Status: RESOLVED INCOMPLETE
[CLOSEME 2011-2-25]
: crash
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 3.5 Branch
: x86 Windows XP
: -- critical with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 535895 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 10:47 PDT by Robert
Modified: 2011-03-05 19:52 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
?


Attachments
firefox-debug 9/27/2009 (12.70 KB, text/plain)
2009-09-17 17:14 PDT, Robert
no flags Details
debug log (20.33 KB, text/plain)
2009-10-15 08:36 PDT, Robert
no flags Details

Description Robert 2009-09-10 10:47:44 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3

opening AOL mail from main AOL screen opens new tab to display email. Closing email tab closes Firefox program.

Reproducible: Always

Steps to Reproduce:
1.sign on to AOL
2.open one email from main AOL page, not AOL mail page
3.now close tab displaying email
Actual Results:  
when closing email tab, the entire program closes

Expected Results:  
before resent update, closing email tab would only close that tab

bug did not occur until recent Firefox update
Comment 1 Tyler Downer [:Tyler] 2009-09-10 11:55:40 PDT
Is that the only tab you have?
Comment 2 Hashem Masoud 2009-09-11 04:29:52 PDT
This looks like a crash.
Comment 3 Robert 2009-09-11 12:19:04 PDT
one tab is the main page of AOL.com the second is the email. If I close the email tab, it closes the entire program
Comment 4 Henrik Skupin (:whimboo) 2009-09-11 15:59:56 PDT
How do you close the last tab? Via the menu or the red X in the top right corner of the browser window?
Comment 5 Robert 2009-09-11 17:41:52 PDT
I never make it to the last tab.  When I close the email tab by using the red X on the tab, it closes all other tabs and the program.
Comment 6 Henrik Skupin (:whimboo) 2009-09-12 00:51:05 PDT
Robert, would you be able to create a little screencast like with the help of Jing (http://www.jingproject.com/) so we can see what's going on? Just record the area of interest on your screen.
Comment 7 Robert 2009-09-12 06:15:40 PDT
yes, here's the link for the screencast.  
http://screencast.com/t/8tRD5ribCts0
Comment 8 Henrik Skupin (:whimboo) 2009-09-12 16:36:20 PDT
I cannot watch it. Has it been removed?
Comment 9 Robert 2009-09-12 17:26:47 PDT
sorry, I uploaded it again
http://screencast.com/t/3CoGofF6UzL
Comment 10 timeless 2009-09-13 01:09:45 PDT
https://developer.mozilla.org/en/How_to_get_a_stacktrace_with_WinDbg

attach windbg before you let it die, follow the instructions, attach the log.
Comment 11 Nickolay_Ponomarev 2009-09-13 03:53:30 PDT
Thanks for the screencast. (It's clear from the screencast that Firefox window actually disappears when the tab is closed by clicking the tab's [x] button, although there's another tab left. The crash reporter window does not appear, which is not supposed to happen.)

Robert, what version of the Flash plugin do you have installed (you can check its version by opening page "about:plugins")? Flash version 9 is known to break the crash reporter, which could provide useful insight on the causes of the crash if it worked..
Comment 12 Nickolay_Ponomarev 2009-09-13 04:00:30 PDT
Also, could you check if the firefox.exe process is still listed in the Task Manager after its window disappears to make sure we've crashed? (CTRL+ALT+DEL to open in, then look at the Processes tab.)
Comment 13 Henrik Skupin (:whimboo) 2009-09-13 08:47:02 PDT
Robert, there are a log of Flash objects shown on AOL. Can you please install Adblock and check if the crash also happens with no ads shown? And btw. which version of Flash are you using? We had some trouble in the past that Flash 9 stops the crash reporter from working.
Comment 14 Robert 2009-09-13 12:32:19 PDT
I'm using Shockwave Flash 10.0 r32
Also it is not listed in the Task Manager

You ask me to install Adblock, I'm not sure were to find this, I am running Spy Sweeper. Can you advise?
Comment 15 Tyler Downer [:Tyler] 2009-09-13 12:48:41 PDT
adblock is at https://addons.mozilla.org/en-US/firefox/addon/1865
Comment 16 Nickolay_Ponomarev 2009-09-13 13:04:57 PDT
Rob: thanks again for your replies. Could you also (possibly instead of installing Adblock):
1) try reproducing the problem after starting Firefox in Safe mode
<http://support.mozilla.com/en-US/kb/Safe+Mode>
2) If you still can reproduce the problem and the crash reporter window
<http://support.mozilla.com/en-US/kb/Mozilla+Crash+Reporter> still doesn't come
up, try disabling all plug-ins in Tools -> Add-ons -> Plugins while in safe
mode and. (This is more effective for disabling flash than adblock.)
Comment 17 Robert 2009-09-13 16:48:56 PDT
I started Firefox in Safe mode and disabled all plug-ins with the same results and no crash report window appeared.
I then installed adblock with no change, same results.
Comment 18 Robert 2009-09-13 17:03:22 PDT
I've discovered another problem with the same bug.  With the AOL email tab open, if I attempt to go to another website, it will close that tab.  Here is a screencast of that.

http://screencast.com/t/XU92Khu4
Comment 19 timeless 2009-09-13 20:56:48 PDT
STOP
STOP
STOP

PLEASE READ COMMENT 10
Comment 20 Robert 2009-09-14 08:42:49 PDT
OK timeless I sorry I didn't see your post. I've completed all the steps. Not sure how to attach the results, so I just copied and pasted them.

Opened log file 'c:\firefox-debug_01b8_2009-09-14_11-29-58-765.log'
0:000> .childdbg l
Couldn't resolve error at 'l'
0:000> .tlist
    0n0 System Process
    0n4 System
  0n576 smss.exe
  0n632 csrss.exe
  0n660 winlogon.exe
  0n704 services.exe
  0n716 lsass.exe
  0n924 WRConsumerService.exe
  0n948 ati2evxx.exe
  0n964 svchost.exe
 0n1104 svchost.exe
 0n1200 svchost.exe
 0n1236 svchost.exe
 0n1456 svchost.exe
 0n1528 svchost.exe
 0n1664 spoolsv.exe
 0n1988 explorer.exe
  0n208 ehtray.exe
  0n216 stsystra.exe
  0n260 DLACTRLW.EXE
  0n400 DMXLauncher.exe
  0n416 sprtcmd.exe
  0n428 wpCtrl.exe
  0n464 shstat.exe
  0n556 UdaterUI.exe
 0n1172 Mctray.exe
 0n1184 jusched.exe
 0n1292 SpySweeperUI.exe
 0n1380 ctfmon.exe
 0n1600 DSAgnt.exe
 0n1500 Floater.exe
 0n1776 ISUSPM.exe
 0n1860 msmsgs.exe
 0n1864 wmpnscfg.exe
 0n2164 DLG.exe
 0n2196 qbupdate.exe
 0n2280 AppleMobileDeviceService.exe
 0n2292 dtsslsrv.exe
 0n2332 DTSRVC.exe
 0n2348 ehrecvr.exe
 0n2392 ehSched.exe
 0n2560 svchost.exe
 0n2604 jqs.exe
 0n2700 FrameworkService.exe
 0n2908 Mcshield.exe
 0n2960 VsTskMgr.exe
 0n3056 MDM.EXE
 0n3080 naPrdMgr.exe
 0n3144 pdisrvc.exe
 0n3192 QBCFMonitorService.exe
 0n3796 sprtsvc.exe
 0n3820 svchost.exe
 0n3836 svchost.exe
 0n3972 SpySweeper.exe
  0n540 mcrdsvc.exe
  0n272 wmpnetwk.exe
  0n680 dllhost.exe
 0n3496 wscntfy.exe
 0n2516 alg.exe
  0n368 PresentationFontCache.exe
 0n2596 ehmsas.exe
 0n2740 SSU.exe
 0n4012 realsched.exe
 0n3508 firefox.exe
  0n440 windbg.exe
 0n1548 firefox.exe
0:000> sxn gp
0:000> lm
start    end        module name
00280000 002ec000   sqlite3    (private pdb symbols)  c:\symbols\sqlite3.pdb\555255959B1B4EF38AD174DEB0E456B81\sqlite3.pdb
002f0000 003d4000   js3250     (private pdb symbols)  c:\symbols\js3250.pdb\5FA11BF4F4724630BF24460CB83EF1A32\js3250.pdb
003e0000 003f8000   smime3     (private pdb symbols)  c:\symbols\smime3.pdb\ECA3CFB3B07142628F2CBC288336A2CD1\smime3.pdb
00400000 004df000   firefox    (private pdb symbols)  c:\symbols\firefox.pdb\15F74A40F5A046A79888A361921B47B12\firefox.pdb
004e0000 00509000   nspr4      (private pdb symbols)  c:\symbols\nspr4.pdb\3B236A5359A24547A3CB7AE1D166D7281\nspr4.pdb
00510000 005aa000   nss3       (private pdb symbols)  c:\symbols\nss3.pdb\6CB5117C8B8746D996DB8D82B493FE9C1\nss3.pdb
005b0000 005c4000   nssutil3   (private pdb symbols)  c:\symbols\nssutil3.pdb\D811CD6175AF48A9B274144F4E0997231\nssutil3.pdb
005d0000 005d7000   plc4       (private pdb symbols)  c:\symbols\plc4.pdb\A381741BEAF54415A5903E34023D07421\plc4.pdb
005e0000 005e7000   plds4      (private pdb symbols)  c:\symbols\plds4.pdb\EEB736169DFA490493CD9C029741A0161\plds4.pdb
005f0000 00610000   ssl3       (private pdb symbols)  c:\symbols\ssl3.pdb\66E3D4CE1EA247348BA4F3D001EAC0721\ssl3.pdb
00610000 00617000   xpcom      (private pdb symbols)  c:\symbols\xpcom.pdb\CEA15912EF5F45039991982B0683F9822\xpcom.pdb
10000000 10a5c000   xul        (private pdb symbols)  c:\symbols\xul.pdb\6D7993A52C04439E8F23CBB48F8A7D2E2\xul.pdb
71aa0000 71aa8000   WS2HELP    (pdb symbols)          c:symbols\ws2help.pdb\537CE830EFE94FE3A92C95153BDB71462\ws2help.pdb
71ab0000 71ac7000   WS2_32     (pdb symbols)          c:symbols\ws2_32.pdb\07AC08831007408D919E0CCF1EA499BF2\ws2_32.pdb
71ad0000 71ad9000   WSOCK32    (pdb symbols)          c:symbols\wsock32.pdb\E7B6C17E43604822813D3B65499B6C0F2\wsock32.pdb
73000000 73026000   WINSPOOL   (pdb symbols)          c:symbols\winspool.pdb\97A6ECC94EA7450CA7D375BD9DFFCA5E2\winspool.pdb
74d90000 74dfb000   USP10      (pdb symbols)          c:symbols\usp10.pdb\14C8D7F8AB3C48A4B95A73BAC9A6B02C1\usp10.pdb
76380000 76385000   MSIMG32    (pdb symbols)          c:symbols\msimg32.pdb\E28D4258D66B428EB5D74279EB57A08F2\msimg32.pdb
76390000 763ad000   IMM32      (pdb symbols)          c:symbols\imm32.pdb\2C17A49C251B4C8EB9E2AD13D7D9EA162\imm32.pdb
763b0000 763f9000   COMDLG32   (pdb symbols)          c:symbols\comdlg32.pdb\4FCBEAD63D7345998C1F92D8DBB0DC272\comdlg32.pdb
76b40000 76b6d000   WINMM      (pdb symbols)          c:symbols\winmm.pdb\4FC9F179964745CAA3C78D6FADFC28322\winmm.pdb
77120000 771ab000   OLEAUT32   (pdb symbols)          c:symbols\oleaut32.pdb\659B514A88A24FB6ADB4F29A9BB066E42\oleaut32.pdb
773d0000 774d3000   COMCTL32   (pdb symbols)          c:symbols\MicrosoftWindowsCommon-Controls-6.0.2600.2982-comctl32.pdb\C0A72EE9578847AAB7770CF02FFED0941\MicrosoftWindowsCommon-Controls-6.0.2600.2982-comctl32.pdb
774e0000 7761d000   ole32      (pdb symbols)          c:symbols\ole32.pdb\683B65B246F4418796D2EE6D4C55EB112\ole32.pdb
77c00000 77c08000   VERSION    (pdb symbols)          c:symbols\version.pdb\180A90C40384463E82DDC45B2C8AB76E2\version.pdb
77c10000 77c68000   msvcrt     (pdb symbols)          c:symbols\msvcrt.pdb\A678F3C30DED426B839032B996987E381\msvcrt.pdb
77dd0000 77e6b000   ADVAPI32   (pdb symbols)          c:symbols\advapi32.pdb\455D6C5F184D45BBB5C5F30F829751142\advapi32.pdb
77e70000 77f01000   RPCRT4     (pdb symbols)          c:symbols\rpcrt4.pdb\436F11D9044249B8AB818CAD4D9079E72\rpcrt4.pdb
77f10000 77f57000   GDI32      (pdb symbols)          c:symbols\gdi32.pdb\CA5BB3941A9845EA8DF5376CE1C842F82\gdi32.pdb
77f60000 77fd6000   SHLWAPI    (pdb symbols)          c:symbols\shlwapi.pdb\658B2B7C863842A0BE311E436027F6E32\shlwapi.pdb
78130000 781e1000   MOZCRT19   (private pdb symbols)  c:\symbols\mozcrt19.pdb\BA376AEDB4094BDC8508D8E9A1C563121\mozcrt19.pdb
7c800000 7c8f5000   kernel32   (pdb symbols)          c:symbols\kernel32.pdb\CE65FAF896A046629C9EC86F626344302\kernel32.pdb
7c900000 7c9b0000   ntdll      (pdb symbols)          c:symbols\ntdll.pdb\36515FB5D04345E491F672FA2E2878C02\ntdll.pdb
7c9c0000 7d1d7000   SHELL32    (pdb symbols)          c:symbols\shell32.pdb\9A8D69139E21498F9FFDA33E5E27AE622\shell32.pdb
7e410000 7e4a0000   USER32     (pdb symbols)          c:symbols\user32.pdb\92D15332471547DCA0D75061B8B6CDA42\user32.pdb
0:000> g
ModLoad: 5cd70000 5cd77000   C:\WINDOWS\system32\serwvdrv.dll
ModLoad: 5b0a0000 5b0a7000   C:\WINDOWS\system32\umdmxfrm.dll
ModLoad: 5ad70000 5ada8000   C:\WINDOWS\system32\uxtheme.dll
ModLoad: 59a60000 59b01000   C:\WINDOWS\system32\dbghelp.dll
ModLoad: 74720000 7476b000   C:\WINDOWS\system32\MSCTF.dll
ModLoad: 77920000 77a13000   C:\WINDOWS\system32\SETUPAPI.dll
eax=77c3b8c1 ebx=00000000 ecx=006223d8 edx=77c61ae8 esi=7c90e88e edi=00000001
eip=7c90eb94 esp=0012fe24 ebp=0012ff20 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000246
ntdll!KiFastSystemCallRet:
7c90eb94 c3              ret
0:000> kp
ChildEBP RetAddr  
0012fe20 7c90e89a ntdll!KiFastSystemCallRet
0012fe24 7c81cd96 ntdll!ZwTerminateProcess+0xc
0012ff20 7c81cdee kernel32!_ExitProcess+0x62
0012ff34 7813179e kernel32!ExitProcess+0x14
0012ff40 78131b66 MOZCRT19!__crtExitProcess(int status = 2014518254)+0x2e [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 683]
0012ff78 78131bee MOZCRT19!doexit(int code = 1, int quick = 0, int retcaller = 0)+0x116 [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 596]
0012ff88 00401449 MOZCRT19!exit(int code = 2088857559)+0xe [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 398]
0012ffc0 7c816fd7 firefox!__tmainCRTStartup(void)+0x169 [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crtexe.c @ 605]
0012fff0 00000000 kernel32!BaseProcessStart+0x23
0:000> !analyze -v -f
*******************************************************************************
*                                                                             *
*                        Exception Analysis                                   *
*                                                                             *
*******************************************************************************

Event is not an exception


Failure could not be analyzed

.lastevent
Last event: 60c.2d0: Exit process 0:60c, code 1
  debugger time: Mon Sep 14 11:31:10.250 2009 (GMT-4)
0:000> lm
start    end        module name
00280000 002ec000   sqlite3    (private pdb symbols)  c:\symbols\sqlite3.pdb\555255959B1B4EF38AD174DEB0E456B81\sqlite3.pdb
002f0000 003d4000   js3250     (private pdb symbols)  c:\symbols\js3250.pdb\5FA11BF4F4724630BF24460CB83EF1A32\js3250.pdb
003e0000 003f8000   smime3     (private pdb symbols)  c:\symbols\smime3.pdb\ECA3CFB3B07142628F2CBC288336A2CD1\smime3.pdb
00400000 004df000   firefox    (private pdb symbols)  c:\symbols\firefox.pdb\15F74A40F5A046A79888A361921B47B12\firefox.pdb
004e0000 00509000   nspr4      (private pdb symbols)  c:\symbols\nspr4.pdb\3B236A5359A24547A3CB7AE1D166D7281\nspr4.pdb
00510000 005aa000   nss3       (private pdb symbols)  c:\symbols\nss3.pdb\6CB5117C8B8746D996DB8D82B493FE9C1\nss3.pdb
005b0000 005c4000   nssutil3   (private pdb symbols)  c:\symbols\nssutil3.pdb\D811CD6175AF48A9B274144F4E0997231\nssutil3.pdb
005d0000 005d7000   plc4       (private pdb symbols)  c:\symbols\plc4.pdb\A381741BEAF54415A5903E34023D07421\plc4.pdb
005e0000 005e7000   plds4      (private pdb symbols)  c:\symbols\plds4.pdb\EEB736169DFA490493CD9C029741A0161\plds4.pdb
005f0000 00610000   ssl3       (private pdb symbols)  c:\symbols\ssl3.pdb\66E3D4CE1EA247348BA4F3D001EAC0721\ssl3.pdb
00610000 00617000   xpcom      (private pdb symbols)  c:\symbols\xpcom.pdb\CEA15912EF5F45039991982B0683F9822\xpcom.pdb
10000000 10a5c000   xul        (private pdb symbols)  c:\symbols\xul.pdb\6D7993A52C04439E8F23CBB48F8A7D2E2\xul.pdb
59a60000 59b01000   dbghelp    (deferred)             
5ad70000 5ada8000   uxtheme    (deferred)             
5b0a0000 5b0a7000   umdmxfrm   (deferred)             
5cd70000 5cd77000   serwvdrv   (deferred)             
71aa0000 71aa8000   WS2HELP    (pdb symbols)          c:symbols\ws2help.pdb\537CE830EFE94FE3A92C95153BDB71462\ws2help.pdb
71ab0000 71ac7000   WS2_32     (pdb symbols)          c:symbols\ws2_32.pdb\07AC08831007408D919E0CCF1EA499BF2\ws2_32.pdb
71ad0000 71ad9000   WSOCK32    (pdb symbols)          c:symbols\wsock32.pdb\E7B6C17E43604822813D3B65499B6C0F2\wsock32.pdb
73000000 73026000   WINSPOOL   (pdb symbols)          c:symbols\winspool.pdb\97A6ECC94EA7450CA7D375BD9DFFCA5E2\winspool.pdb
74720000 7476b000   MSCTF      (deferred)             
74d90000 74dfb000   USP10      (pdb symbols)          c:symbols\usp10.pdb\14C8D7F8AB3C48A4B95A73BAC9A6B02C1\usp10.pdb
76380000 76385000   MSIMG32    (pdb symbols)          c:symbols\msimg32.pdb\E28D4258D66B428EB5D74279EB57A08F2\msimg32.pdb
76390000 763ad000   IMM32      (pdb symbols)          c:symbols\imm32.pdb\2C17A49C251B4C8EB9E2AD13D7D9EA162\imm32.pdb
763b0000 763f9000   COMDLG32   (pdb symbols)          c:symbols\comdlg32.pdb\4FCBEAD63D7345998C1F92D8DBB0DC272\comdlg32.pdb
76b40000 76b6d000   WINMM      (pdb symbols)          c:symbols\winmm.pdb\4FC9F179964745CAA3C78D6FADFC28322\winmm.pdb
77120000 771ab000   OLEAUT32   (pdb symbols)          c:symbols\oleaut32.pdb\659B514A88A24FB6ADB4F29A9BB066E42\oleaut32.pdb
773d0000 774d3000   COMCTL32   (pdb symbols)          c:symbols\MicrosoftWindowsCommon-Controls-6.0.2600.2982-comctl32.pdb\C0A72EE9578847AAB7770CF02FFED0941\MicrosoftWindowsCommon-Controls-6.0.2600.2982-comctl32.pdb
774e0000 7761d000   ole32      (pdb symbols)          c:symbols\ole32.pdb\683B65B246F4418796D2EE6D4C55EB112\ole32.pdb
77920000 77a13000   SETUPAPI   (deferred)             
77c00000 77c08000   VERSION    (pdb symbols)          c:symbols\version.pdb\180A90C40384463E82DDC45B2C8AB76E2\version.pdb
77c10000 77c68000   msvcrt     (pdb symbols)          c:symbols\msvcrt.pdb\A678F3C30DED426B839032B996987E381\msvcrt.pdb
77dd0000 77e6b000   ADVAPI32   (pdb symbols)          c:symbols\advapi32.pdb\455D6C5F184D45BBB5C5F30F829751142\advapi32.pdb
77e70000 77f01000   RPCRT4     (pdb symbols)          c:symbols\rpcrt4.pdb\436F11D9044249B8AB818CAD4D9079E72\rpcrt4.pdb
77f10000 77f57000   GDI32      (pdb symbols)          c:symbols\gdi32.pdb\CA5BB3941A9845EA8DF5376CE1C842F82\gdi32.pdb
77f60000 77fd6000   SHLWAPI    (pdb symbols)          c:symbols\shlwapi.pdb\658B2B7C863842A0BE311E436027F6E32\shlwapi.pdb
78130000 781e1000   MOZCRT19   (private pdb symbols)  c:\symbols\mozcrt19.pdb\BA376AEDB4094BDC8508D8E9A1C563121\mozcrt19.pdb
7c800000 7c8f5000   kernel32   (pdb symbols)          c:symbols\kernel32.pdb\CE65FAF896A046629C9EC86F626344302\kernel32.pdb
7c900000 7c9b0000   ntdll      (pdb symbols)          c:symbols\ntdll.pdb\36515FB5D04345E491F672FA2E2878C02\ntdll.pdb
7c9c0000 7d1d7000   SHELL32    (pdb symbols)          c:symbols\shell32.pdb\9A8D69139E21498F9FFDA33E5E27AE622\shell32.pdb
7e410000 7e4a0000   USER32     (pdb symbols)          c:symbols\user32.pdb\92D15332471547DCA0D75061B8B6CDA42\user32.pdb
Comment 21 Nickolay_Ponomarev 2009-09-14 12:27:33 PDT
In the first command it looks like you put "L" after ".childdbg" instead of the number "1". And you can attach files using the "Add an attachment" link right above the bug description.
Comment 22 Robert 2009-09-17 17:14:12 PDT
Created attachment 401345 [details]
firefox-debug 9/27/2009

sorry for delay, been out of town. redone debug. Hope this helps
Comment 23 Nickolay_Ponomarev 2009-09-17 17:50:51 PDT
You typoed "sxn gp", but I'm not sure if typing it right would produce a better report, hoping to hear from timeless. (And just in case it matters, if you have time, try one more time... And to be sure, you're actually reproducing the "Firefox closes unexpectedly" issue while running under WinDbg?)
Comment 24 timeless 2009-10-15 00:26:44 PDT
yeah, it looks like firefox was already running, you need to close firefox, and follow the directions, preferably without any typos.

i'd suggest you load the instructions page in a web browser and copy it into a text editor (e.g. notepad), from there you can copy the commands and paste them into windbg instead of typing them by hand.

fwiw, i just got back from a 3 week vacation (on monday) and am slowly digging through bugmail, so it took me a while to get to this bug, and it will take me a while to get back to you later, sorry.
Comment 25 Robert 2009-10-15 08:36:10 PDT
Created attachment 406454 [details]
debug log

I copied instructions and printed them out, closed all programs and followed instructions.  hope this helps.  sorry I'm a novice at this
Comment 26 timeless 2009-11-10 01:37:52 PST
ok.... so... why are we exiting...

how about renaming:
C:\Program Files\Mozilla Firefox\plugins\npmozax.dll

to npmozax.dul

i really don't want to deal with that thing while chasing our problems.

re jqsnotify.exe please see:
http://www.bleepingcomputer.com/forums/lofiversion/index.php/t230227.html
for instructions to disable it

ModLoad: 71a90000 71a98000   C:\WINDOWS\System32\wshtcpip.dll
eax=77c3b8c1 ebx=00000000 ecx=003439e0 edx=77c61ae8 esi=7c90e88e edi=00000000
eip=7c90eb94 esp=0012fdcc ebp=0012fec8 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000246
ntdll!KiFastSystemCallRet:
7c90eb94 c3              ret
1:013> g
ModLoad: 73b30000 73b45000   C:\WINDOWS\system32\mscms.dll

this step is odd, can you do kp each time you get a prompt after the first g?
Comment 27 Robert 2009-11-10 04:03:27 PST
Ok, I renamed npmozax, and I disabled Java, but I'm not sure what to do with your third request.
Comment 28 Majken Connor [:Kensie] 2009-11-10 12:40:55 PST
Robert - can you try these steps please?

1. Open more than 2 tabs, so have your AOL tab, maybe a google tab, then when you open mail you'll have 3 tabs.

2. Close the mail tab with the x

Let us know what happens in this case.
Comment 29 timeless 2009-11-10 12:43:42 PST
so...

slightly updated steps (i'm still working on these)

your prompt should always be one of:
BUSY
0:xxx>
z:yyy>

at BUSY, you just wait :)
if you have a prompt with z:yyy> for any z that isn't 0, just use 'g', those prompts are for other processes and we mostly don't care (they're good to know about which is why we're logging them).

at a 0:xxx> prompt, after you've started running the program, use:
kp;g
to get a stack and continue

usually this will be after something that says "... exception ... (first chance)"

if you ever see "... exception ... (second chance)", you don't want to try to continue (we're dead), and instead should replace 'g' with '!analyze ...'

but in your case, i'm still not quite getting what's causing the problem. it kinda sounds like something is *sending* us a quit message

At this point, I think I'd like another log and a list of your enabled extensions (someone else can explain how to get that, sorry, not me).

-----
about comment 18, i believe that's a legal behavior done by AOL, it's unfortunate that it isn't easy to understand, but for your security, you don't really want some other behavior. if i'm right, you logged into aol, and then clicked a link in aol which opened a new tab (for mail). because aol opened the new tab, aol is allowed to close it whenever it feels like it. it could choose to do this based on a time out, or based on an interaction (like you clicking a "send" button or a "close this window" button in the web page). AOL is helpfully asserting that the window you were using was actually its and closing it when you tried to navigate it somewhere else. The alternative is AOL randomly closing it later *after* you went somewhere else and had started filling in, e.g., form details. If you turned off the "popups in new tabs" feature, this experience would probably make more sense.
----
Comment 30 Robert 2009-11-10 13:32:04 PST
Lucy, I did what you asked.  I had three tabs open, AOL, aol mail, and google, when I closed the aol mail, it closed the tab, leaving AOL, and google.  When I tried to close google tab, it erased the window leaving the tab named (untitled) and a blank page.  Unable to close that tab.
Comment 31 Robert 2009-11-10 13:35:08 PST
Lucy, after sending the last reply, I had four tabs open, AOL, Untitled, aol mail, and Bug515679. Now it will not allow any tab to be closed.  Clicking on the tab X with no response.
Comment 32 Nickolay_Ponomarev 2009-11-16 01:25:09 PST
This seems a relatively common issue and I haven't seen reports on 3.5.2, so maybe a regression. I don't have time to analyze it further.

http://support.mozilla.com/en-US/forum/1/492399 (3.5.4/Vista)
http://support.mozilla.com/en-US/forum/1/467132 (3.5.3/Vista; two "me too"s)
http://support.mozilla.com/en-US/forum/1/492438 (maybe not)
https://support.mozilla.com/en-US/forum/1/502229 (3.5.5/Vista)
A similar issue is also reported in bug 527620 (3.5.5/Vista).

Older ones, may be a different issue:
http://support.mozilla.com/tiki-view_forum_thread.php?locale=en-US&comments_parentId=262842&forumId=1 (Fx 3.0.5 on Mac)
http://support.mozilla.com/tiki-view_forum_thread.php?locale=ar&comments_parentId=219118&forumId=1 (Fx 3.0.4/Vista)
http://support.mozilla.com/tiki-view_forum_thread.php?locale=ca&comments_parentId=223845&forumId=1 (3.0.4/Vista)
http://support.mozilla.com/tiki-view_forum_thread.php?locale=lt&comments_parentId=354266&forumId=1 (3.0.10/XP)

Interesting that many people claim this started happening after a Firefox update.
Comment 33 [:Cww] 2009-11-17 17:05:06 PST
One hypothesis from a discussion with zzxc this morning: AOL mail may be spawning a new tab for messages that then are used to go to other places.  When you close the main tab, it closes its children windows which would close the browser.  I don't have AOL mail but it seems like something we could try.
Comment 34 timeless 2009-11-18 10:41:10 PST
So, this approach is based on the assumption that the problem is a foreign influence:

bp kernel32!ExitProcess "kp; g"
bp kernel32!TerminateThread "kp; g"
bp user32!CloseWindow "kp; g"
bp user32!DestroyWindow "kp; g"
bp user32!PostQuitMessage "kp; g"
bp xul!nsWindowWatcher::SetActiveWindow "kp; g"

If the others are right that the problem is actually js magic, then someone will probably need to write a jsdI consumer to do magical work. That requires a lot more effort than a simple enumeration.

Actually, it isn't a lot more effort, it's basically one person opening venkman, setting breakpoints on all of the interesting candidates, saving the breakpoints, attaching them here, and then explaining to someone how to install and start venkman.

While someone else tries to setup those breakpoints, could people experiencing this problem please open the error console (tools>error console) before they do anything else? just open it, and minimize it (don't close it). If your browser window goes away when you experience this behavior, and the Error console is still present, then we can stop spending time with windbg.
Comment 35 [:Cww] 2009-11-24 10:12:33 PST
No additional threads on SUMO in the past week.  Removing the common-issue keyword.
Comment 36 Henrik Skupin (:whimboo) 2009-12-22 05:19:28 PST
*** Bug 535895 has been marked as a duplicate of this bug. ***
Comment 37 kctalents 2010-03-28 06:02:58 PDT
I can confirm this occurring in latest Firefox version 3.6.2. AOL mail tab open with second tab for reading email. When second tab is closed by either the "x" or "right-click close", both tabs close and Firefox crashes, but no report is filed. Error console does not log the event so far as I could see but did not disappear when the rest of Firefox did. If multiple tabs are opened, when second AOL tab is closed it will open an "untitled" blank tab that cannot be closed. It also locks all other tabs. Again, reproducible and does not generate any crash reports or errors.
Comment 38 Tyler Downer [:Tyler] 2011-02-03 21:01:57 PST
Reporter, are you still seeing this issue with Firefox 3.6.13 or later in safe mode or a fresh profile? If not, please close. These links can help you in your testing.
http://support.mozilla.com/kb/Safe+Mode
http://support.mozilla.com/kb/Managing+profiles
Comment 39 Tyler Downer [:Tyler] 2011-03-05 19:52:45 PST
This bug has had the CLOSEME tag for several weeks and the date in the tag is
far gone. If the reporter can still see this issue, Please retest with Firefox
3.6.x or later and a new profile
(http://support.mozilla.com/kb/Managing+profiles). Then please remove the
closeme tag in the whiteboard, mark the bug against the proper version and
comment on the bug.

Note You need to log in before you can comment on or make changes to this bug.